// gnome.xonotic.in.ua

models/mapobjects/gratelamp/gratelamp
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratelamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratelamp_flare
{
	deformvertexes autosprite
	q3map_surfacelight 300
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map models/mapobjects/gratelamp/gratelamp_flare.tga
		blendfunc add
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	nopicmip
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc add
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc add
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc add
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	nopicmip
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc add
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc add
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	nopicmip
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc add
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc add
		tcmod scroll -.1 -.2
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/base_floor/clangdark_ow3
{
	surfaceparm metalsteps
	{
		map textures/sfx/proto_zzztblu2.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark_ow3.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_floor/cybergrate2
{
	cull disable
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	nopicmip
	{
		map textures/base_floor/cybergrate2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_floor/hfloor3
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/hfloor3.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map textures/base_floor/hfloor3.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/base_floor/skylight1
{
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc add
		rgbgen wave triangle .2 2 0 7.7
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc add
		rgbgen wave triangle .2 5 1 5.1
	}
}

textures/base_floor/skylight_spec
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/skylight_spec.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_light/light1_5000
{
	qer_editorimage textures/base_light/light1.tga
	q3map_lightimage textures/base_light/light1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendfunc add
	}
}

textures/base_light/light1blue_2000
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.blend.tga
		blendfunc add
	}
}

textures/base_light/light1blue_5000
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.blend.tga
		blendfunc add
	}
}

textures/base_light/light1red_2000
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1red.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/light1red.blend.tga
		blendfunc add
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc add
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc add
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc add
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/trianglelight
{
	q3map_lightimage textures/base_light/trianglelight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/base_light/trianglelight.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/trianglelight.blend.tga
		blendfunc add
		rgbgen wave sawtooth .6 .1 0 7
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc add
	}
}

textures/base_support/support1shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_support/support1shiny.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/border11_250
{
	qer_editorimage textures/base_trim/border11light.tga
	q3map_surfacelight 250
	q3map_lightimage textures/base_trim/border11light.glow.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11light.tga
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc add
		rgbgen wave sin .9 .1 0 10
	}
}

textures/base_trim/pewter_shiney
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/proto_comp
{
	{
		map textures/base_trim/proto_comp2.tga
		tcmod scroll 0 -.2
		rgbgen wave sin .5 .5 0 3
		rgbgen identity
	}
	{
		clampmap textures/sfx/console03.tga
		tcmod rotate -33
		tcmod stretch sin .8 0 0 0
		blendfunc add
		rgbgen wave sin .6 0 0 0
	}
	{
		clampmap textures/sfx/console02.tga
		tcmod rotate -333
		tcmod stretch sin .8 0 0 0
		blendfunc add
		rgbgen wave sin .3 0 0 0
	}
	{
		map textures/effects/tinfx2c.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map textures/base_trim/proto_comp.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_trim/wires01
{
	cull disable
	surfaceparm alphashadow
	deformvertexes autosprite2
	surfaceparm trans
	{
		map textures/base_trim/wires01.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/wires02
{
	cull disable
	surfaceparm nonsolid
	{
		map textures/base_trim/wires02.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/bluemetal1b_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_wall/bluemetal2_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetal2_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_wall/bluemetalsupport2b
{
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2bglow.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2b.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2bglow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 .2
	}
}

textures/base_wall/bluemetalsupport2c
{
	{
		map textures/base_wall/chrome_env2.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2c_1
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2c_1vent
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2clight
{
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2clight.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2clight.glow.tga
		blendfunc add
		rgbgen wave sawtooth .6 .1 0 4
	}
}

textures/base_wall/bluemetalsupport2e
{
	qer_editorimage textures/base_wall/bluemetalsupport2e.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2e2
{
	qer_editorimage textures/base_wall/bluemetalsupport2e2.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e2.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/comp3
{
	q3map_lightimage textures/base_wall/comp3env.tga
	qer_editorimage textures/base_wall/comp3_qer.tga
	q3map_surfacelight 1000
	{
		map textures/base_wall/comp3text.tga
		rgbgen identity
		tcmod scroll 3 1
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc add
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/comp3c
{
	qer_editorimage textures/base_wall/comp3c_qer.tga
	{
		map textures/base_wall/comp3env.tga
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		tcgen environment
		blendfunc add
	}
	{
		map textures/base_wall/comp3c.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5
	sort 7
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_wall/glass_frame
{
	cull none
	surfaceparm alphashadow
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_wall/glass_frame.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_wall/metalfloor_wall_15ow
{
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/hologirl.tga
		tcmod scale 2 .4
		tcmod scroll 6 .6
		blendfunc add
		rgbgen identity
	}
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/base_wall/train1
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .1
		rgbgen identity
	}
	{
		map textures/base_wall/train1.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/camper/clang_clip
{
	qer_editorimage textures/common/nolightmap.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/camper/s_bluebase
{
	q3map_lightimage textures/camper/s_bluebase.tga
	q3map_surfacelight 100
	{
		map textures/camper/s_bluebase.tga
		rgbgen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/camper/s_camper_sky
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sunext 0.266383 0.274632 0.358662 100 315 85 3 16
	q3map_lightmapfilterradius 0 16
	q3map_surfacelight 100
	q3map_skylight 127 3
	skyparms - 200 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.015 0.016
		tcmod scale 3 3
		depthwrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc add
		tcmod scroll -0.01 -0.012
		tcmod scale 5 5
	}
}

textures/camper/scan_dirtwater
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_surfacelight 50
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/camper/s_patch10_pj_lite
{
	qer_editorimage textures/base_light/patch10_pj_lite.tga
	q3map_surfacelight 600
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite.blend.tga
		blendfunc add
	}
}

textures/camper/s_pjgrate1
{
	qer_editorimage textures/camper/s_pjgrate1.tga
	surfaceparm metalsteps
	surfaceparm trans
	cull none
	{
		map textures/camper/s_pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/camper/s_redbase
{
	q3map_lightimage textures/camper/s_redbase.tga
	q3map_surfacelight 100
	{
		map textures/camper/s_redbase.tga
		rgbgen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/camper/s_redmetal2b
{
	qer_editorimage textures/camper/redmetal2b.tga
	q3map_surfacelight 100
	q3map_lightimage textures/camper/redmetal2bglow.tga
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/camper/redmetal2b.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/camper/redmetal2bglow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 .2
	}
}

textures/camper/s_red_xian_dm3padwall
{
	q3map_surfacelight 100
	q3map_lightimage textures/camper/s_xian_padmetglow_red.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/camper/s_xian_padmetglow_red.tga
		blendfunc add
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/camper/s_xian_dm3padwall_blue
{
	q3map_surfacelight 100
	q3map_lightimage textures/camper/s_padmetglow_blue.tga
	qer_editorimage textures/camper/s_padmet.tga
	{
		map textures/camper/s_padmet.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/camper/s_padmetglow_blue.tga
		blendfunc add
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/camper/s_xian_dm3padwall_red
{
	q3map_surfacelight 100
	q3map_lightimage textures/camper/s_padmetglow_red.tga
	qer_editorimage textures/camper/s_padmet.tga
	{
		map textures/camper/s_padmet.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/camper/s_padmetglow_red.tga
		blendfunc add
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/full_clip
{
	qer_editorimage textures/common/full_clip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/common/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_editorimage textures/common/weapclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf2/blueteam03
{
	qer_editorimage textures/ctf2/blueteam03.tga
	polygonoffset
	qer_trans 0.5
	sort 6
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/ctf2/blueteam03.tga
		blendfunc add
		rgbgen vertex
		depthwrite
	}
}

textures/ctf2/redteam03
{
	qer_editorimage textures/ctf2/redteam03.tga
	polygonoffset
	qer_trans 0.5
	sort 6
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/ctf2/redteam03.tga
		blendfunc add
		rgbgen vertex
		depthwrite
	}
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc add
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc add
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/gothic_floor/xstepborder3_shiney
{
	qer_editorimage textures/gothic_floor/xstepborder3_alpha.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_floor/xstepborder3_alpha.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/proto2/bluea_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm pointlight
	polygonoffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/proto2/bluea_dcl.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/proto2/reda_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm pointlight
	polygonoffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/proto2/reda_dcl.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonoffset
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}

textures/sfx/blue_techfloor_kc
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	polygonoffset
	sort 6
	qer_editorimage textures/sfx/techfloor_kc.tga
	nopicmip
	novlcollapse
	{
		clampmap textures/sfx/zzztblue_kc.tga
		alphafunc ge128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthwrite
	}
	{
		clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthfunc equal
		tcmod stretch sin .8 0.1 0 .4
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc.tga
		blendfunc blend
		depthfunc equal
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/sfx/bounce_blue
{
	qer_editorimage textures/sfx/qer_bounce_blue.tga
	q3map_lightimage textures/sfx/bounce_fx_blue.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		map textures/sfx/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/sfx/bounce_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/bounce_fx_blue.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/sfx/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/sfx/bounce_red
{
	qer_editorimage textures/sfx/qer_bounce_red.tga
	q3map_lightimage textures/sfx/bounce_fx_red.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		map textures/sfx/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/sfx/bounce_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/bounce_fx_red.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/sfx/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/sfx/launchpad_diamond
{
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_diamond.tga
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc add
		tcmod scroll 0 2
	}
}

textures/sfx/red_techfloor_kc
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	polygonoffset
	sort 6
	qer_editorimage textures/sfx/techfloor_kc.tga
	nopicmip
	novlcollapse
	{
		clampmap textures/sfx/zzztred_kc.tga
		alphafunc ge128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthwrite
	}
	{
		clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthfunc equal
		tcmod stretch sin .8 0.1 0 .4
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc.tga
		blendfunc blend
		depthfunc equal
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/sfx/teslacoil
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga
	qer_editorimage textures/sfx/tesla1.tga
	q3map_surfacelight 100
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}
}

textures/sfx/x_conduit
{
	q3map_lightimage textures/sfx/x_conduit.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/x_conduit.tga
		blendfunc filter
		rgbgen identity
	}
	{
		animmap 10 textures/sfx/x_conduit2.tga textures/sfx/x_conduit3.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		map textures/sfx/x_conduit2.tga
		blendfunc add
		tcmod scale -1 1
		rgbgen wave sin .5 0.5 0 7
	}
	{
		map textures/sfx/x_conduit3.tga
		blendfunc add
		tcmod scale -1 1
		rgbgen wave triangle .2 1 0 9
	}
}

textures/sfx/xian_dm3padwall
{
	q3map_surfacelight 100
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/xian_dm3padwallglow.tga
		blendfunc add
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

textures/sfx/xmetalfloor_wall_5b
{
	qer_editorimage textures/sfx/metalfloor_wall_5b.tga
	{
		map textures/sfx/metalfloor_wall_7b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc add
		rgbgen wave sin .5 .2 0 .1
	}
}

textures/sfx/xmetalfloor_wall_9b
{
	qer_editorimage textures/sfx/metalfloor_wall_9b.tga
	{
		map textures/sfx/metalfloor_wall_9b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/metalfloor_wall_9bglow.tga
		blendfunc add
	}
}

textures/spider/s_border_11_nonsolid
{
	qer_editorimage textures/base_trim/border11.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11.tga
		rgbgen identity
		blendfunc filter
	}
}

